> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a list of :ref:`ref_flyteidl.admin.DescriptionEntity` definitions

> Fetch existing description entity definitions matching input filters.



## OpenAPI

````yaml /api-specs/cloud/flyte-native-api.yaml get /api/v1/description_entities/{resource_type}/{id.project}/{id.domain}
openapi: 3.0.0
info:
  title: flyteidl/service/admin.proto
  version: version not set
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is <your-subdomain>.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: AdminService
paths:
  /api/v1/description_entities/{resource_type}/{id.project}/{id.domain}:
    get:
      tags:
        - AdminService
      summary: Fetch a list of :ref:`ref_flyteidl.admin.DescriptionEntity` definitions
      description: Fetch existing description entity definitions matching input filters.
      operationId: AdminService_ListDescriptionEntities2
      parameters:
        - name: resource_type
          description: >-
            Identifies the specific type of resource that this identifier
            corresponds to.
          in: path
          required: true
          schema:
            type: string
            enum:
              - UNSPECIFIED
              - TASK
              - WORKFLOW
              - LAUNCH_PLAN
              - DATASET
        - name: id.project
          description: Name of the project the resource belongs to.
          in: path
          required: true
          schema:
            type: string
        - name: id.domain
          description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
          in: path
          required: true
          schema:
            type: string
        - name: id.name
          description: >-
            User provided value for the resource.

            The combination of project + domain + name uniquely identifies the
            resource.

            +optional - in certain contexts - like 'List API', 'Launch plans'
          in: query
          required: false
          schema:
            type: string
        - name: id.org
          description: Optional, org key applied to the resource.
          in: query
          required: false
          schema:
            type: string
        - name: limit
          description: |-
            Indicates the number of resources to be returned.
            +required
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: token
          description: >-
            In the case of multiple pages of results, the server-provided token
            can be used to fetch the next page

            in a query.

            +optional
          in: query
          required: false
          schema:
            type: string
        - name: filters
          description: |-
            Indicates a list of filters passed as string.
            More info on constructing filters : <Link>
            +optional
          in: query
          required: false
          schema:
            type: string
        - name: sort_by.key
          description: |-
            Indicates an attribute to sort the response values.
            +required
          in: query
          required: false
          schema:
            type: string
        - name: sort_by.direction
          description: |-
            Indicates the direction to apply sort key for response values.
            +optional

             - DESCENDING: By default, fields are sorted in descending order.
          in: query
          required: false
          schema:
            type: string
            enum:
              - DESCENDING
              - ASCENDING
            default: DESCENDING
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/adminDescriptionEntityList'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    adminDescriptionEntityList:
      type: object
      properties:
        descriptionEntities:
          type: array
          items:
            $ref: '#/components/schemas/adminDescriptionEntity'
          description: A list of DescriptionEntities returned based on the request.
        token:
          type: string
          description: >-
            In the case of multiple pages of results, the server-provided token
            can be used to fetch the next page

            in a query. If there are no more results, this value will be empty.
      title: |-
        Represents a list of DescriptionEntities returned from the admin.
        See :ref:`ref_flyteidl.admin.DescriptionEntity` for more details
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    adminDescriptionEntity:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/coreIdentifier'
        short_description:
          type: string
          description: One-liner overview of the entity.
        long_description:
          $ref: '#/components/schemas/adminDescription'
        source_code:
          $ref: '#/components/schemas/adminSourceCode'
        tags:
          type: array
          items:
            type: string
          description: >-
            User-specified tags. These are arbitrary and can be used for
            searching

            filtering and discovering tasks.
      description: >-
        DescriptionEntity contains detailed description for the task/workflow.

        Documentation could provide insight into the algorithms, business use
        case, etc.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    coreIdentifier:
      type: object
      properties:
        resource_type:
          $ref: '#/components/schemas/coreResourceType'
        project:
          type: string
          description: Name of the project the resource belongs to.
        domain:
          type: string
          description: |-
            Name of the domain the resource belongs to.
            A domain can be considered as a subset within a specific project.
        name:
          type: string
          description: User provided value for the resource.
        version:
          type: string
          description: Specific version of the resource.
        org:
          type: string
          description: Optional, org key applied to the resource.
      description: Encapsulation of fields that uniquely identifies a Flyte resource.
    adminDescription:
      type: object
      properties:
        value:
          type: string
          title: long description - no more than 4KB
        uri:
          type: string
          title: >-
            if the description sizes exceed some threshold we can offload the
            entire

            description proto altogether to an external data store, like S3
            rather than store inline in the db
        format:
          $ref: '#/components/schemas/adminDescriptionFormat'
        icon_link:
          type: string
          title: Optional link to an icon for the entity
      description: |-
        Full user description with formatting preserved. This can be rendered
        by clients, such as the console or command line tools with in-tact
        formatting.
    adminSourceCode:
      type: object
      properties:
        link:
          type: string
      title: Link to source code used to define this entity
    coreResourceType:
      type: string
      enum:
        - UNSPECIFIED
        - TASK
        - WORKFLOW
        - LAUNCH_PLAN
        - DATASET
      default: UNSPECIFIED
      description: >-
        Indicates a resource type within Flyte.

         - DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects.
        Eventually all Catalog objects should be modeled similar to Flyte
        Objects. The Dataset entities makes it possible for the UI  and CLI to
        act on the objects 

        in a similar manner to other Flyte objects
    adminDescriptionFormat:
      type: string
      enum:
        - DESCRIPTION_FORMAT_UNKNOWN
        - DESCRIPTION_FORMAT_MARKDOWN
        - DESCRIPTION_FORMAT_HTML
        - DESCRIPTION_FORMAT_RST
      default: DESCRIPTION_FORMAT_UNKNOWN
      description: '- DESCRIPTION_FORMAT_RST: python default documentation - comments is rst'
      title: The format of the long description

````